Zoznam obchodných prípadov
Vráti obchodné prípady aktuálnej firmy. Endpoint podporuje filtrovanie podľa klienta, dodávateľa, stavu a fulltextové vyhľadávanie v názve alebo popise. Response vždy vracia vnorený objekt klienta alebo dodávateľa podľa reality záznamu, voliteľný vnorený stav a paginator pre stránkovanie.
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/business-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/business-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/business-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 501,
"contactType": "client",
"contactId": 101,
"client": {
"id": 101,
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Hlavná 1",
"city": "Bratislava",
"zip": "81101",
"country": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Skladová 9",
"deliveryCity": "Košice",
"deliveryZip": "04001",
"deliveryCountry": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
},
"createdAt": "2026-03-03T12:00:00+01:00",
"updatedAt": "2026-03-03T15:45:00+01:00",
"preferredDeliveryMethodId": 1,
"preferredPaymentMethodId": 1,
"preferredCurrencyId": 1,
"preferredLanguageId": 1,
"preferredDueDays": 14,
"preferredNote": "Splatnosť 14 dní.",
"preferredVariableSymbol": 2026001,
"preferredConstantSymbol": 308,
"preferredSpecificSymbol": 55,
"preferredTextAboveItems": "Dakujeme za spoluprácu."
},
"supplier": {
"id": 151,
"type": "company",
"name": "Supplier s.r.o.",
"subjectId": "12345678",
"taxId": "2020202020",
"vatId": "SK2020202020",
"isVatPayer": true,
"email": "billing@supplier.test",
"street": "Supplier Street 1",
"city": "Bratislava",
"zip": "81101",
"country": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
}
},
"name": "Client pipeline",
"description": "Opportunity description",
"status": {
"id": 41,
"name": "Negotiation",
"color": "#22aa44"
},
"boardPosition": 2,
"createdAt": "2026-03-10T10:00:00+01:00",
"updatedAt": "2026-03-10T10:30:00+01:00"
}
],
"paginator": {
"currentPage": 2,
"perPage": 10,
"totalPages": 5,
"totalResults": 42,
"currentFrom": 11,
"currentTo": 20,
"firstPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"lastPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=5",
"nextPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=3",
"previousPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
"links": [
{
"url": "https://app.fintoro.sk/api/public/v1/invoices?page=2",
"label": "2",
"active": false
}
]
}
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Autorizace
Bearer token vytvorený pre konkrétnu firmu v Integrácie → API.
Parametry dotazu
Filter podľa klienta patriaceho. Pole je vzájomne exkluzívne so supplierId.
101
Filter podľa dodávateľa patriaceho. Pole je vzájomne exkluzívne s clientId.
151
Filter podľa stavu obchodného prípadu.
41
Fulltextové vyhľadávanie podľa názvu alebo popisu obchodného prípadu.
255"keyword"
Pole, podľa ktorého sa majú obchodné prípady zoradiť.
name, createdAt, updatedAt, boardPosition "updatedAt"
Smer zoradenia.
asc, desc "desc"
Počet výsledkov na stránku. Maximum je 200.
1 <= x <= 20010
Číslo stránky, ktorá sa má vrátiť.
x >= 11

